Bug 186476 - audio/wildmidi version 0.3.8
Summary: audio/wildmidi version 0.3.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-05 10:50 UTC by SimaMoto,RyōTa
Modified: 2015-03-08 21:38 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (5.84 KB, patch)
2014-02-05 10:50 UTC, SimaMoto,RyōTa
no flags Details | Diff
audio_wildmidi.diff.txt (6.00 KB, text/plain; charset=US-ASCII)
2014-02-25 11:13 UTC, SimaMoto,RyōTa
no flags Details
audio_wildmidi_files.shar (1.08 KB, application/x-shar)
2014-02-27 22:36 UTC, SimaMoto,RyōTa
no flags Details
wildmidi.diff (5.92 KB, patch)
2014-04-05 13:46 UTC, SimaMoto,RyōTa
no flags Details | Diff
wildmidi-0.3.7 (52 bytes, patch)
2014-06-02 19:59 UTC, SimaMoto,RyōTa
no flags Details | Diff
wildmidi-0.3.7 (6.16 KB, patch)
2014-09-14 12:37 UTC, SimaMoto,RyōTa
no flags Details | Diff
testcase of wildmidi-0.3.7 on 10.1-PRERELEASE i386 (30.61 KB, text/plain)
2014-11-18 03:54 UTC, SimaMoto,RyōTa
no flags Details
Update from v0.2.3.5 to v0.3.8 (6.17 KB, patch)
2015-01-27 15:43 UTC, SimaMoto,RyōTa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description SimaMoto,RyōTa 2014-02-05 10:50:00 UTC
Update audio/wildmidi  -- version 0.3.3

About two years stagnation after the latest release
version 0.2.3.5, new developer Bret Curtis takes over
maintainance, then refined and enhanced versions
have been released.

* Optional build: simple midi player, and static library
* For player, output system is selectable from
  audio/alsa-lib or OSS kernel module
* Debug build available by WITH_DEBUG

Fix: Patch attached with submission follows:
Comment 1 SimaMoto,RyōTa 2014-02-25 11:13:03 UTC
Version 0.3.4 has been released.

Supports OpenAL output for the player.
Several bugfixes.
Comment 2 SimaMoto,RyōTa 2014-02-27 22:36:33 UTC
Version 0.3.4 needs fix missing path problem by the attached patch.

2014-02-25 20:13 GMT+09:00, RyoTa SimaMoto <liangtai.s16@gmail.com>:
> Version 0.3.4 has been released.
>
> Supports OpenAL output for the player.
> Several bugfixes.
>
Comment 3 Jason E. Hale freebsd_committer 2014-02-28 14:37:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it.
Comment 4 Jason E. Hale freebsd_committer 2014-03-27 22:46:25 UTC
Sorry it took me a while to get around to this.

Port mostly looks fine, but I can't get it to build with the OSS option 
enabled.  See build logs:
https://redports.org/buildarchive/20140327223100-29370/

Can you look into this?  If it can't be fixed, then the option could just be 
disabled.

-- 
Jason E. Hale - jhale@
FreeBSD Ports Committer
KDE/FreeBSD Team
Twitter: @Jason_E_Hale
Comment 5 Jason E. Hale freebsd_committer 2014-03-27 22:47:47 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 6 SimaMoto,RyōTa 2014-04-05 13:46:57 UTC
wildmidi version 0.3.6 has been released!

On this released version, the upsteam source resolves the problem,
what you mentioned, of the build error on OSS option.  I am sorry
for taking long time before I respond you.

Again, here is a brief summary of changes since the version 0.2.3.5:
* Reduce memory usage remarkably.
* Supports OpenAL, ALSA, or OSS as the backend for the bundled
  simple player. (option: PLAYER, then choose (ALSA|OSS|OPENAL|OPENALSOFT))
* Build static library in addition to shared library. (option: STATIC)
* Fix various bugs.
(* And supports several platform/OSs.)
Comment 7 SimaMoto,RyōTa 2014-06-02 19:59:08 UTC
Created attachment 143297 [details]
wildmidi-0.3.7

wildmidi-0.3.7 has been released.

Since this version (differ than the version 0.3.6), PLAYERSTATIC
option is added for optionally generating bin/wildmidi-static that
does not use lib/libWildMidi.so.
Comment 8 SimaMoto,RyōTa 2014-06-06 04:40:11 UTC
At the sixth June, the version 0.3.7 was modified without change
of version number, in fact, typographical errors are fixed in a
letter of source code and several phrases of documents.
The checksum/size of distfile should be updated.

diff --git a/audio/wildmidi/Makefile b/audio/wildmidi/Makefile
index 6a1fc66..771192c 100644
--- a/audio/wildmidi/Makefile
+++ b/audio/wildmidi/Makefile
@@ -14,7 +14,7 @@ USE_GITHUB=   yes
 GH_ACCOUNT=    Mindwerks
 GH_PROJECT=    wildmidi
 GH_TAGNAME=    ${PORTNAME}-${PORTVERSION:R}
-GH_COMMIT=     f084126
+GH_COMMIT=     d008350
 USES=          gmake cmake:outsource
 USE_LDCONFIG=  yes
 
diff --git a/audio/wildmidi/distinfo b/audio/wildmidi/distinfo
index 34c7e51..3809e7c 100644
--- a/audio/wildmidi/distinfo
+++ b/audio/wildmidi/distinfo
@@ -1,2 +1,2 @@
-SHA256 (wildmidi-0.3.7.tar.gz) = d85ca61b469559173b56149d8c2197c982111592efce3a
-SIZE (wildmidi-0.3.7.tar.gz) = 121529
+SHA256 (wildmidi-0.3.7.tar.gz) = 9c96a615c179dbf7158e3b6d0f02d605fd62440be99eb4
+SIZE (wildmidi-0.3.7.tar.gz) = 121610
Comment 9 Jason E. Hale freebsd_committer 2014-09-14 00:09:06 UTC
Could you please reattach your diff to this bug report?  It seems the last one is empty.
Comment 10 SimaMoto,RyōTa 2014-09-14 12:37:03 UTC
Created attachment 147311 [details]
wildmidi-0.3.7

Switch the version 0.2.3.5 to 0.3.7

Note that audio/wildmidi/files/patch-wildmidi.c--typecasting
is no longer used.
Comment 11 SimaMoto,RyōTa 2014-09-14 12:45:37 UTC
(In reply to Jason E. Hale from comment #9)
> Could you please reattach your diff to this bug report?  It seems the last
> one is empty.
Hmm...  I am sorry I made such a stupid mistake on the previous report and
waiting for the day it is hatched.  I sent another egg that would be something
flying on the sky, I hope.
Comment 12 SimaMoto,RyōTa 2014-11-18 03:54:25 UTC
Created attachment 149548 [details]
testcase of wildmidi-0.3.7 on 10.1-PRERELEASE i386

using poudriere-3.0.19
Comment 13 SimaMoto,RyōTa 2015-01-27 15:43:39 UTC
Created attachment 152258 [details]
Update from v0.2.3.5 to v0.3.8

New version has been released.
Comment 14 commit-hook freebsd_committer 2015-03-08 21:38:27 UTC
A commit references this bug:

Author: robak
Date: Sun Mar  8 21:37:43 UTC 2015
New revision: 380803
URL: https://svnweb.freebsd.org/changeset/ports/380803

Log:
  audio/wildmidi: update 0.2.3.5 -> 0.3.8

  - Switch from SF to GitHub usage

  PR:		186476
  Submitted by:	RyoTa SimaMoto <liangtai.s16@gmail.com>

Changes:
  head/audio/wildmidi/Makefile
  head/audio/wildmidi/distinfo
  head/audio/wildmidi/files/
  head/audio/wildmidi/pkg-descr
  head/audio/wildmidi/pkg-plist
Comment 15 Bartek Rutkowski freebsd_committer 2015-03-08 21:38:57 UTC
Committed, thanks for your work!